package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.ClassGroupStudentStatusEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(class_group_student_mapper):
 */
public class ClassGroupStudentMapper {

	/**  */
	private Long id;
	
	/** 班级 */
	@ApiModelProperty(value = "班级编号",required = false)
	private int classGroupId;
	
	/** 学生 */
	@ApiModelProperty(value = "学生编号",required = false)
	private Integer userId;

	/** 学生 */
	@ApiModelProperty(value = "状态（在读、请假、退学）",required = false)
	private ClassGroupStudentStatusEnum status;
	
	/**  */
	private java.util.Date createTime;

	public ClassGroupStudentStatusEnum getStatus() {
		return status;
	}

	public void setStatus(ClassGroupStudentStatusEnum status) {
		this.status = status;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setClassGroupId(int classGroupId){
		this.classGroupId = classGroupId;
	}
	
	public int getClassGroupId(){
		return this.classGroupId;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
